All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Portal |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.portal.portlet.remote
Class RemotePortletFilter

    com.sas.portal.portlet.remote.RemotePortletFilter

All Implemented Interfaces:
  javax.servlet.Filter, org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanNameAware

    @SASScope(value="ALL")
    public class RemotePortletFilter

implements javax.servlet.Filter

This Filter must run after the PortletSecurityFilter and the PlatformServicesFilter

Since:
  Nov 5, 2007

Constructor Summary
`RemotePortletFilter()`

Method Summary
`void` | `init(javax.servlet.FilterConfig config)`
`void` | `onDoFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`

Constructor Detail

### RemotePortletFilter

    public RemotePortletFilter()

Method Detail

### init

    public void init(javax.servlet.FilterConfig config)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Overrides:
    `init` in class `com.sas.framework.webapp.servlet.OncePerRequestFilter`
  Throws:
    `javax.servlet.ServletException`

### onDoFilter

    public void onDoFilter(javax.servlet.ServletRequest request,
                           javax.servlet.ServletResponse response,
                           javax.servlet.FilterChain chain)
                    throws java.io.IOException,
                           javax.servlet.ServletException

  Specified by:
    `onDoFilter` in class `com.sas.framework.webapp.servlet.OncePerRequestFilter`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Portal |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.